---
title: Sustainability Timeseries
summary: >-
  The Observability Timeseries API for Sustainability allows users to query the
  platform usage, electricity consumption and greenhouse gas (GHG) emission
  metrics across the Fastly PoP network that are visualized in the
  Sustainability dashboard.
url: >-
  https://www.fastly.com/documentation/reference/api/observability/timeseries/sustainability
---

The Observability Timeseries API for Sustainability allows users to query the platform usage, electricity consumption and greenhouse gas (GHG) emission metrics across the Fastly PoP network that are visualized in the Sustainability dashboard.

## Data model

| Field | Type | Description |
|-------|------|-------------|
| `bandwidth_gb` | number | Total bandwidth consumed across all services in gigabytes (GB). |
| `cputime_sec` | number | Total CPU use by compute services in seconds (CPU seconds). |
| `grid_it_mwh` | number | Residual grid electricity consumption in megawatt-hours (MWh) by Fastly-operated IT equipment after deducting renewable energy consumption. Applied to residual emission factor per country for GHGP Scope 2 market-based emissions accounting. |
| `grid_non_it_mwh` | number | Residual grid electricity consumption in MWh by facility-operated non-IT equipment after deducting renewable energy consumption. Applied to residual emission factor per country for GHGP Scope 3 Category 8 market-based emissions accounting. |
| `renewable_it_mwh` | number | Electricity consumption in MWh by Fastly-operated IT equipment covered by renewable energy procurement or on-site generation. Calculated from per-facility data gathered by Fastly from facility operators and backed by documentary evidence or attestations. |
| `renewable_non_it_mwh` | number | Electricity consumption in MWh by facility-operated non-IT equipment (e.g. to regulate data center temperature and humidity) covered by renewable energy procurement or on-site generation. Calculated from per-facility data gathered by Fastly from facility operators and backed by documentary evidence or attestations. |
| `scope2_location_mtco2e` | number | GHG Scope 2 location-based carbon emissions in metric tons of carbon dioxide equivalent (MTCO2e). |
| `scope2_market_mtco2e` | number | GHG Scope 2 market-based carbon emissions in MTCO2e. |
| `scope3_location_mtco2e` | number | GHG Scope 3 location-based carbon emissions in MTCO2e. |
| `scope3_market_mtco2e` | number | GHG Scope 3 market-based carbon emissions in MTCO2e. |
| `total_it_mwh` | number | Total electricity consumption in MWh by Fastly-operated IT equipment based on power distribution unit (PDU) and server power metrics. Applied to electricity generation emission factors per country for Greenhouse Gas Protocol (GHGP) Scope 2 location-based emissions accounting. Also used to calculate GHGP Scope 3 Category 3 emissions of transmission and distribution (T&amp;D) losses, well-to-tank (WTT) emissions, and WTT of T&amp;D. |
| `total_non_it_mwh` | number | Total electricity consumption in MWh by facility-operated non-IT equipment based on <code>total_it_mwh</code> and facility power usage effectiveness (PUE) factor. Applied to electricity generation emission factor per country for GHGP Scope 3 Category 8 location-based emissions accounting. |

## Data model

| Field | Type | Description |
|-------|------|-------------|
| `from` | string | Start time for the query as supplied in the request. |
| `granularity` | string | The granularity of the time buckets in the response. |
| `limit` | string | Maximum number of results returned in the request. |
| `next_cursor` | string | The value to use as the <code>cursor</code> parameter of the next request to retrieve the following result page. To paginate, use the exact same query parameters with the <code>cursor</code> updated. If this value is empty, you got the last page. |
| `to` | string | End time for the query as supplied in the request. |

## API endpoints

### Retrieve sustainability data as a time series

**GET** `/observability/timeseries`

Retrieves sustainability data as a time series.

**Parameters:**

| Name | Type | In | Required | Description |
|------|------|----|---------|--------------|
| `cursor` | string | query | No | Cursor value from the <code>next_cursor</code> field of a previous response, used to retrieve the next page. To request the first page, this should be empty. |
| `dimensions` | string | query | No | Comma separated list of grouping dimensions. No grouping dimensions implies aggregation by time only. |
| `filter` | string | query | No | Filter parameters are query string components that let you narrow down API responses by including only records that match specific criteria.  Filter parameters take the form <code>filter[&lt;dimension&gt;][&lt;op&gt;]=&lt;value&gt;</code> or <code>filter[&lt;dimension&gt;]=&lt;value&gt;</code>. For example, <code>filter[country][in]=US,CA</code> would filter for sustainability data from usage of Fastly PoPs located in the United States or Canada. Multiple filter expressions can be combined. The filters will be combined with a logical AND operator so that the data returned match all supplied filters. Supported filter operator <code>in</code> applies to lists of string values. |
| `from` | string | query | Yes | Specifies the inclusive start time of the data to be queried. Must be in valid RFC 3339 format. |
| `granularity` | string | query | Yes | The duration of each interval in the time series. |
| `limit` | string | query | No | Maximum number of results to return. |
| `series` | string | query | Yes | Comma-separated list of the data series to be computed for each time bucket and combination of dimensions. Series definitions take the form <code>&lt;function&gt;[&lt;metric&gt;]</code>. For sustainability, the only function supported is <code>sum</code>. For example, <code>series=sum[bandwidth_gb]</code> will return the sum of bandwidth for each dimensioned time bucket. At least one series is required. |
| `source` | string | query | Yes | Specifies the source of the data for the time series. Must be <code>sustainability</code> to retrieve sustainability data. |
| `to` | string | query | Yes | Specifies the exclusive end time of the data to be queried. Must be in valid RFC 3339 format. |
